// Присваиваем имя для аналогового входа A0 с фоторезистором
#define SENSOR A0
// Присваиваем имя для порта 11 со светодиодом
#define LED 10

// Присваиваем имя для цифрового значения аналогового входа A0
// unsigned int округляет значения и принимает только положительные числа
unsigned int value = 0;
  
void setup() {
  // Пин 11 со светодиодом будет выходом (англ. «output»)
  pinMode(LED, OUTPUT);
  // Пин A0 с фоторезистором будет входом (англ. «input»)
  pinMode(SENSOR, INPUT);
  Serial.begin(9600);
}
 
void loop() {
  // Считываем значение с фоторезистора на аналоговом входе A0
  value = analogRead(SENSOR);
  
  // Если значение value на входе A0 меньше 500, включаем светодиод
  if (value<500) digitalWrite(LED, HIGH);

  // В противном случае (если value>500), выключаем светодиод 
  if (value>500) digitalWrite(LED, LOW);
}
